## deepin-diskmanager 1.3.3

=== application/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-diskmanager)

if (NOT DEFINED VERSION)
    message(WARNING "Not defined version ,about dialog version set 1.1.0.1")
    set(VERSION 1.3.3)
endif ()


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)#moc 预编译包含QObject文件，生成xx_moc.h cpp
set(CMAKE_AUTORCC ON)#开启rcc 编译资源文件qrc
set(CMAKE_AUTOUIC ON)#开启uic 编译转换*.ui文件生存设计界面对应的.h .cpp文件

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
#find_package(DtkCMake REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    Widgets
    DBus
    REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    Qt5::WidgetsPrivate

    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
)

#common resource names
set(APP_RES_DIR "assets")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-diskmanager.desktop")
set(APP_QRC "${APP_RES_DIR}/appicons.qrc")
set(APP_ICONPATH "${APP_RES_DIR}/icons/deepin-diskmanager.svg")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)
#add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/translations")
#set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1 "${CMAKE_CURRENT_SOURCE_DIR}/translations")
#set_property(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/translations PROPERTY CLEAN_NO_CUSTOM  1)
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1 )
#lupdate start
set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/translations")
set(TS_FILES
    "${TS_DIR}/${PROJECT_NAME}_en_US.ts"    
)
find_program(LUPDATE_EXECUTABLE lupdate)
foreach(_ts_file ${TS_FILES})
    execute_process(
        COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_SOURCE_DIR} -ts ${_ts_file})
endforeach()
#lupdate end

file (GLOB DTNG_TS_FILES translations/*.ts)
qt5_create_translation(DTNG_QM_FILES
    ${DTNG_TS_FILES}
     ${DTNG_QM_FILES}
     )

file(GLOB ALL_SOURCES "*.cpp" "./partedproxy/*.cpp" "./widgets/*.cpp" "./widgets/customcontrol/*.cpp" "./widgets/accessible/*.cpp")
file(GLOB ALL_HEADERS "*.h" "./partedproxy/*.h" "./widgets/*.h" "./widgets/customcontrol/*.h" "./widgets/accessible/*.h")

include_directories(../basestruct)
#link_directories(${PROJECT_BINARY_DIR})
set(ALL_SRCS   ${ALL_SOURCES} ${ALL_HEADERS})

# 生成执行文件
add_executable(${PROJECT_NAME} ${ALL_SRCS} ${APP_QRC}  ${DTNG_QM_FILES})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)

set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION bin)
#file(GLOB APP_QM_FILES "translations/*.qm")
#install(FILES ${APP_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
install(FILES ${DTNG_QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)
install(FILES ${APP_ICONPATH} DESTINATION share/icons/hicolor/scalable/apps)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)
install(DIRECTORY ${APP_RES_DIR}/deepin-diskmanager DESTINATION /usr/share/deepin-manual/manual-assets/application)

=== basestruct/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(basestruct)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(BASESTRUCT_SRCS
    deviceinfo.h
    deviceinfo.cpp
    partitioninfo.h
    partitioninfo.cpp
    utils.h
    utils.cpp
    commondef.h
    )

add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
target_include_directories(${PROJECT_NAME} PUBLIC
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}   
)

set(CMAKE_INSTALL_PREFIX /usr)
# Install the executable
install(TARGETS ${PROJECT_NAME} DESTINATION lib)

=== service/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-diskmanager-service)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)


set(APP_RES_DIR "assets")
set(APP_SERVICE "${APP_RES_DIR}/data/com.deepin.diskmanager.service")
set(APP_CONFIG "${APP_RES_DIR}/data/com.deepin.diskmanager.conf")
set(APP_EDEV_DIR "udev")
set(APP_UDEV_FILES "${APP_EDEV_DIR}/99-diskmanager.rules")
set(APP_USBADD_FILES "${APP_EDEV_DIR}/USBadd.sh")
set(APP_USBREMOVE_FILES "${APP_EDEV_DIR}/USBremove.sh")
set(APP_DEEPIN_DISKMANAGER_SERVICE_BIN "${APP_EDEV_DIR}/deepin-diskmanager-authenticateProxy")
set(APP_POLICY_DIR "policy")
set(APP_POLICY_FILES "${APP_POLICY_DIR}/com.deepin.diskmanager.policy")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DtkGui REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    Widgets
    DBus
REQUIRED)
find_package(PolkitQt5-1)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    ${DtkCore_LIBRARIES}
    parted
    parted-fs-resize
    PolkitQt5-1::Agent
)

file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp")
file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h")

include_directories(../basestruct)
include_directories(../log)
link_directories(${PROJECT_BINARY_DIR})

add_executable(${PROJECT_NAME} ${ALL_SOURCES} ${ALL_HEADERS})
target_include_directories(${PROJECT_NAME} PUBLIC
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)
#link_libraries(../basestruct/basestruct)
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} basestruct)
target_link_libraries(${PROJECT_NAME} ${LINK_LIBS} ddmlog)


set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)
install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/system-services/)
install(FILES ${APP_CONFIG} DESTINATION share/dbus-1/system.d/)
install(PROGRAMS ${APP_USBADD_FILES} DESTINATION libexec/openconnect/)
install(PROGRAMS ${APP_USBREMOVE_FILES} DESTINATION libexec/openconnect/)
install(FILES ${APP_UDEV_FILES} DESTINATION /lib/udev/rules.d/)
install(FILES ${APP_POLICY_FILES} DESTINATION share/polkit-1/actions)
install(PROGRAMS ${APP_DEEPIN_DISKMANAGER_SERVICE_BIN} DESTINATION bin/)

=== debian/changelog ===
deepin-diskmanager (1.3.3-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Fri, 07 Jan 2022 10:26:35 +0800

deepin-diskmanager (1.3.3) stable; urgency=low

  * 磁盘管理器V1.3第三次发版
  * 110108 磁盘不支持的格式类型整盘右侧容量信息展示异常
  * 110025 切换系统字号使用软件擦除界面未显示完整
  * 110016 空闲分区擦除无法结束加载动画，未成功擦除
  * 109947 磁盘管理器深色模式擦除界面字体颜色不符合整体风格
  * 109925 分区格式为非fat32的分区擦除后分区格式为fat32,往该分区中创建文件无权限
  * 108589 【桌面专业版1050】【预发布版本第一轮集成测试】
   【磁盘管理器】维语环境下，界面显示重叠

 -- yuandandan <yuandandan@uniontech.com>  Thu, 6 Jan 2021 9:50:16 +0800

deepin-diskmanager (1.3.2) stable; urgency=low

  * 磁盘管理器V1.3第二次发版
  * 109061 【UI】【正在擦除界面的关闭按钮显示问题】
  * 109049 【UI】【选择安全和高级选项之后，弹窗里的标题和内容位置有跳动】
  * 109039 【UI】【擦除弹窗的尺寸问题】
  * 109037 本地1T硬盘剩余容量全部创建，创建失败
  * 109015 鼠标查看整盘右侧空间容量横框信息，移除鼠标时，分区信息仍显示在横框上面
  * 109227 有分区格式类型的分区高级、安全擦除提交内核失败
  * 109209 机械硬盘空闲分区擦除提示提交内核失败
  * 109133 外设固态硬盘识别介质类型错误，识别为机械硬盘
  * 109090 插拔外设硬盘，主页面未实时刷新

 -- yuandandan <yuandandan@uniontech.com>  Tue, 28 Dec 2021 16:55:16 +0800

deepin-diskmanager (1.3.1) stable; urgency=low

  * 新功能第一次发版
  * 新增擦除功能

 -- yuandandan <yuandandan@uniontech.com>  Mon, 20 Dec 2021 14:35:16 +0800

deepin-diskmanager (1.2.26) stable; urgency=low

  * 1040第二十六次发版
  * 101889 【CPM2021110900040】【KelvinV-W5851 5.7.0.6(C233) + BIOS 1.00.30+ EC 1.30】
    【HUAWEI】【UOS】【L2】【存储】【VN2】将sdd4删除并创建一个ntfs 15G的文件分区，
    向内复制10G文件，将文件彻底删除后再往内复制10G文件提示分区已满，
    再次尝试删除文件，提示文件非空。（一般+必现+常用功能）

 -- yuandandan <yuandandan@uniontech.com>  Fri, 26 Nov 2021 16:35:16 +0800

deepin-diskmanager (1.2.25) stable; urgency=low

  * 1040第二十五次发版
  * 添加安全加固编译参数

 -- yuandandan <yuandandan@uniontech.com>  Tue, 16 Nov 2021 17:35:16 +0800

deepin-diskmanager (1.2.24) stable; urgency=low

  * 1040第二十四次发版
  * 修改rpm文件

 -- yuandandan <yuandandan@uniontech.com>  Thu, 4 Nov 2021 19:35:16 +0800

deepin-diskmanager (1.2.23) stable; urgency=low

  * 1040第二十三次发版
  * 101121 挂载主目录路径下无文件时，重复挂载该挂载点，无弹窗提示
  * 100208 龙芯5000-启动磁盘管理器，输入认证之后，出现明显卡顿
  * 99212 磁盘标题栏退出后查看进程未退出

 -- yuandandan <yuandandan@uniontech.com>  Thu, 4 Nov 2021 15:35:16 +0800

deepin-diskmanager (1.2.22) stable; urgency=low

  * 1040第二十二次发版
  * 89409 【服务器企业版1040】【x86_64】磁盘管理器点击卸载HDD失败，重启后进不了系统

 -- yuandandan <yuandandan@uniontech.com>  Mon, 1 Nov 2021 13:35:16 +0800

deepin-diskmanager (1.2.21) stable; urgency=low

  * 1040第二十一次发版
  * 95600 通过命令打开磁盘管理器，不需要登录就能进入应用界面
  * 89885 KLU-启动磁盘管理器查看系统监视器磁盘，cpu/内存均无浮动情况

 -- yuandandan <yuandandan@uniontech.com>  Thu, 23 Sep 2021 11:35:16 +0800

deepin-diskmanager (1.2.20) stable; urgency=low

  * 1040第二十次发版
  * 两个中文字符的按钮，字符中间添加空格

 -- yuandandan <yuandandan@uniontech.com>  Tue, 7 Sep 2021 15:35:16 +0800

deepin-diskmanager (1.2.19) stable; urgency=low

  * 1040第十九次发版
  * 91672 终端root用户启动磁盘应用图标异常
  * 90263 打开外设硬盘的二级界面,拔出外设硬盘时，二级界面依然显示在界面

 -- yuandandan <yuandandan@uniontech.com>  Wed, 18 Aug 2021 15:35:16 +0800

deepin-diskmanager (1.2.18) stable; urgency=low

  * 1040第十八次发版
  * 88771 【CPM2021072100111】【4.19】【PanguW-WBX0A 6.7.0.7(C233) + BIOS0.13+EC 0.13 】
    【HUAWEI】【UOS】【L0】【V3整机】【整机KK】部分正在运行的应用程序不在系统监视器的应用程序列表中。
  * 86389 KLU-主菜单界面信息显示为外设硬盘分区信息时，拔出硬盘分区信息依然显示为外设硬盘的信息

 -- yuandandan <yuandandan@uniontech.com>  Mon, 2 Aug 2021 14:35:16 +0800

deepin-diskmanager (1.2.17) stable; urgency=low

  * 1040第十七次发版
  * 84939 外设硬盘坏道检测中拔除后，坏道检测界面没有退出，klu偶现闪退

 -- yuandandan <yuandandan@uniontech.com>  Mon, 5 Jul 2021 16:35:16 +0800

deepin-diskmanager (1.2.16) stable; urgency=low

  * 1040第十六次发版
  * 76576 外设硬盘坏道检测时，插入另一块外设硬盘，界面会停顿，停顿时退出重新检测，检测界面异常
  * 83171 KLU-打开二级界面后点击一级界面，二级界面窗口移动到一级窗口界面后

 -- yuandandan <yuandandan@uniontech.com>  Fri, 18 Jun 2021 16:35:16 +0800

deepin-diskmanager (1.2.15) stable; urgency=low

  * 1040第十五次发版
  * 81963 专业版1030以上从应用商店首次安装未覆盖预装的磁盘管理器版本
  * 81896 1020以上1030以下从应用商店安装磁盘管理器无法启动
  * 81881 硬盘以及分区名称过长时字符重叠以及显示不全

 -- yuandandan <yuandandan@uniontech.com>  Wed, 2 Jun 2021 15:35:16 +0800

deepin-diskmanager (1.2.14) stable; urgency=low

  * 1040第十四次发版
  * 关闭ut内存检测

 -- yuandandan <yuandandan@uniontech.com>  Fri, 28 May 2021 14:35:16 +0800

deepin-diskmanager (1.2.13) stable; urgency=low

  * 1040第十三次发版
  * 78540 欧拉版-坏道检测柱面信息获取与专业版不一致，导致检测时间变长
  * 78047 欧拉版-打开磁盘管理器关于选项，缺少log标识

 -- yuandandan <yuandandan@uniontech.com>  Wed, 19 May 2021 11:35:16 +0800

deepin-diskmanager (1.2.12) stable; urgency=low

  * 1040第十二次发版
  * 单元测试增加内存检测

 -- yuandandan <yuandandan@uniontech.com>  Wed, 12 May 2021 17:35:16 +0800

deepin-diskmanager (1.2.11) stable; urgency=low

  * 1040第十一次发版(第十次发版送测产生的bug)
  * 75351 坏道检测停止后查看柱面信息时拔除外设硬盘，柱面信息停留在界面
  * 73471 欧拉版安装磁盘管理器无法启动
  * 70244 坏道检测时鼠标在柱面范围内上下移动，移动到下方时界面会暂停检测过程

 -- yuandandan <yuandandan@uniontech.com>  Mon, 26 Apr 2021 15:35:16 +0800

deepin-diskmanager (1.2.10) stable; urgency=low

  * 1040第十次发版(第九次发版送测产生的bug)
  * 修改rpm文件
  * 69701 新建分区时先填写分区名称为4个中文后切换fat32格式，创建成功后，分区名称显示乱码
  * 66865 /dev/nvme0n1硬盘坏道检测中停止退出，页面卡顿

 -- yuandandan <yuandandan@uniontech.com>  Thu, 1 Apr 2021 17:35:16 +0800

deepin-diskmanager (1.2.9) stable; urgency=low

  * 1040第九次发版(第八次发版送测产生的bug以及UI走查反馈的问题)
  * 66764 深色 主题UI界面检查与设计图不一致
  * 66749 子 三期设计验收问题二 / 左侧的标题应该是加粗黑色字
  * 66741 子 三期设计验收问题二 / 大标题文案请统一“将对...操作”。
  * 66740 子 三期设计验收问题二 / 分区名称输入框应该与下面的下拉选框长度一致，左右对齐
  * 66739 子 三期设计验收问题二 / 退出按钮应为红色警示按钮
  * 66738 子 三期设计验收问题二 / 滑动条长度与效果图中不一致
  * 66737 子 三期设计验收问题二 / 标题字体样式之间有区别
  * 66736 子 三期设计验收问题二 / 关于字体样式变动
  * 66735 子 三期设计验收问题二 / 调节像素变动

 -- yuandandan <yuandandan@uniontech.com>  Tue, 16 Mar 2021 16:35:16 +0800

deepin-diskmanager (1.2.8) stable; urgency=low

  * 1040第八次发版(第七次发版送测产生的bug以及UI走查反馈的问题)
  * 64327 设置系统字号为20号，磁盘管理器部分页面显示不完整
  * 65595 低版本隐藏分区，高版本无法操作
  * 65472 开启分区编辑器后启动磁盘管理器时无法启动
  * 61583 子 三期期设计产品验收记录0208 / 灰色背景框有描边，字体颜色设置错误
  * 61582 子 三期期设计产品验收记录0208 / 文字颜色使用错误，灰色背景框有描边，
    区信息与空闲空间距离太近，字体样式使用错误
  * 61581 子 三期期设计产品验收记录0208 / 图标与灰色背景左边框的间距过大，文案不一致，
    标题字字体粗细和大小需要修改，空闲空间前面的灰色方块没有了，滑动条长度太短，输入框过长，
  * 61580 子 三期期设计产品验收记录0208 / 这条线不对，左右两边不能有间距，
    灰色背景与表格背景框的边缘应有间隔
  * 61579 子 三期期设计产品验收记录0208 / 文字过大，灰色背景有描边，
    序列号与用户容量字号粗细和大小都是不一致的
  * 61578 子 三期期设计产品验收记录0208 / 图标与背景左边框的距离过大，


=== debian/control ===
Source: deepin-diskmanager
Section: tools
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, pkg-config, qttools5-dev, qtbase5-dev, libx11-dev, libdtkwidget-dev,qttools5-dev-tools,qtbase5-private-dev, libparted-dev,libparted-fs-resize0, libdframeworkdbus-dev, libpolkit-qt5-1-dev, libgtest-dev, libgmock-dev
Standards-Version: 4.1.3

Package: deepin-diskmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools
Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
 Disk Utility is a disk management tool for disk.

## deepin-diskmanager 1.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(deepin-diskmanager)


option(DOTEST "option for test" OFF)

# 是否开启单元测试编译
set(DOTEST ON)

option(DOAPP "option for test app" OFF)
set(DOAPP ON)

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")
  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,--gc-sections")
endif()

# 检查内存泄漏代码
#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -g -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -g -fsanitize=address -O2")
#set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_MINSIZEREL "${CMAKE_CXX_FLAGS_MINSIZEREL} -g -fsanitize=address -O2")
#set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}  -g -fsanitize=address -O2")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -z relro -z now -z noexecstack -pie")

ADD_SUBDIRECTORY(basestruct)
ADD_SUBDIRECTORY(log)
ADD_SUBDIRECTORY(application)
ADD_SUBDIRECTORY(service)

# 开启单元测试
if(DOTEST)
    if(DOAPP)
        # 添加gocv覆盖率文件的输出
#        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
        # 设置测试模块
        set(QT Core Gui Widgets Network DBus Sql LinguistTools Svg Test)
        find_package(Qt5 COMPONENTS ${QT} REQUIRED)
        # 添加子模块apptest
        add_subdirectory(tests)
    else()
    # 添加gocv覆盖率文件的输出
#    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
    # 设置测试模块
    set(QT Core Gui Widgets Network DBus Sql LinguistTools Svg Multimedia Test)
    find_package(Qt5 COMPONENTS ${QT} REQUIRED)
    # 添加子模块test
    add_subdirectory(test)
    endif()
endif()

=== application/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 if (NOT DEFINED VERSION)
     message(WARNING "Not defined version ,about dialog version set 1.1.0.1")
-    set(VERSION 1.3.3)
+    set(VERSION 1.3.10)
 endif ()

=== basestruct/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,9 @@
     utils.h
     utils.cpp
     commondef.h
+    lvmstruct.h
+    lvmstruct.cpp
+    lvmenum.h
     )
 
 add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})

=== log/CMakeLists.txt ===
#include_directories(${PROJECT_SOURCE_DIR}/log)

#add_library(dlmlog SHARED
#    log.cpp
#    )
#find_package(PkgConfig REQUIRED)
#find_package(DtkGui REQUIRED)
#find_package(Qt5 COMPONENTS
#    Core
#    Widgets
#    DBus
#REQUIRED)

#set(LINK_LIBS
#    Qt5::Core
#    Qt5::DBus
#    ${DtkCore_LIBRARIES}
#    parted
#    parted-fs-resize
#)


#target_link_libraries(dlmlog Qt5::Core)

#install(TARGETS dlmlog DESTINATION lib)

cmake_minimum_required(VERSION 3.0)
project(ddmlog)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)


set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(LOG_SRCS
    log.h
    log.cpp
    )

add_library(${PROJECT_NAME} STATIC ${LOG_SRCS})
target_include_directories(${PROJECT_NAME} PUBLIC
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${PROJECT_NAME} PRIVATE
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

set(CMAKE_INSTALL_PREFIX /usr)
# Install the executable
install(TARGETS ${PROJECT_NAME} DESTINATION lib)

=== service/CMakeLists.txt ===
--- 
+++ 
@@ -38,11 +38,12 @@
     PolkitQt5-1::Agent
 )
 
-file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp")
-file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h")
+file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp"  "./diskoperation/lvmoperator/*.cpp")
+file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h" "./diskoperation/lvmoperator/*.h")
 
 include_directories(../basestruct)
 include_directories(../log)
+include_directories(diskoperation)
 link_directories(${PROJECT_BINARY_DIR})
 
 add_executable(${PROJECT_NAME} ${ALL_SOURCES} ${ALL_HEADERS})

=== test/CMakeLists.txt ===
# 设置测试程序名字
set(PROJECT_NAME_TEST
    ${PROJECT_NAME}_test)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)


#include(../cmake/googletest.cmake)
#fetch_googletest(
#    ${PROJECT_SOURCE_DIR}/cmake
#    ${PROJECT_BINARY_DIR}/googletest
#    )

#src files
AUX_SOURCE_DIRECTORY(. SRC_LIST)
AUX_SOURCE_DIRECTORY(./ MAIN)
LIST(APPEND SRC_LIST ${MAIN})
AUX_SOURCE_DIRECTORY(./ut_diskoperation UT_DISKOPERATION)
LIST(APPEND SRC_LIST ${UT_DISKOPERATION})

file(GLOB ALL_HEADERS "../service/diskoperation/*.h" "../service/diskoperation/filesystems/*.h")
file(GLOB ALL_SOURCES "../service/diskoperation/*.cpp" "../service/diskoperation/filesystems/*.cpp")

add_executable(${PROJECT_NAME_TEST} ${SRC_LIST} ${ALL_HEADERS} ${ALL_SOURCES})

target_link_libraries(${PROJECT_NAME_TEST} gmock gmock_main gtest gtest_main pthread Qt5::Core basestruct parted parted-fs-resize)

# 添加 QTest 测试
add_test(${PROJECT_NAME_TEST} that-test-I-made COMMAND ${PROJECT_NAME_TEST})


#------------------------------ 创建'make test'指令---------------------------------------
add_custom_target(test
    COMMAND mkdir -p coverageResult
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET test
    COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "

    #1.清理原先的gcov信息
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME_TEST}.dir --zerocounters
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
     COMMAND echo " =================== CREAT 1111111 ==================== "
    COMMAND ${PROJECT_BINARY_DIR}/test/${PROJECT_NAME_TEST}
    COMMAND echo " =================== CREAT 2222222 ==================== "

    #2.收集gcov信息到.info文件中
    COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info
    COMMAND echo " =================== CREAT 33333333333 ==================== "

    #3.过滤一些我们不感兴趣的文件的覆盖率信息
    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info
    '*/${PROJECT_NAME_TEST}_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/usr/include/*' '*/tests/*' '*/googletest/*'
    -o ./coverageResult/${PROJECT_NAME}_Coverage.info
    COMMAND echo " =================== do filter end ==================== "

    #3.将.info信息生成报告到reprot文件夹中
    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== CREAT LCOV REPROT END ==================== "

    COMMAND echo " Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "

    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )

#'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

include_directories(${PROJECT_SOURCE_DIR}/log)
include_directories(${PROJECT_SOURCE_DIR}/basestruct)
include_directories(${PROJECT_SOURCE_DIR}/service)
include_directories(${PROJECT_SOURCE_DIR}/service/diskoperation)



#target_link_libraries(Qt5::Core)

=== tests/CMakeLists.txt ===
# 设置测试程序名字
set(PROJECT_NAME_TEST
    ${PROJECT_NAME}_app_test)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

#可访问private
ADD_COMPILE_OPTIONS(-fno-access-control)
ADD_COMPILE_OPTIONS(-fno-inline)
#添加-fno-inline编译选项，禁止内联，能获取到函数地址，可以对内联函数进行打桩
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-inline")

set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")
if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")
if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

## 添加gocv覆盖率文件的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")

#src files
AUX_SOURCE_DIRECTORY(. SRC_LIST)
AUX_SOURCE_DIRECTORY(./ MAIN)
LIST(APPEND SRC_LIST ${MAIN})
AUX_SOURCE_DIRECTORY(./ut_application UT_DISKOPERATION)
LIST(APPEND SRC_LIST ${UT_DISKOPERATION})

file(GLOB ALL_HEADERS "../application/*.h" "../application/widgets/*.h" "../application/widgets/customcontrol/*.h" "../application/partedproxy/*.h")
file(GLOB ALL_SOURCES "../application/*.cpp" "../application/widgets/*.cpp" "../application/widgets/customcontrol/*.cpp" "../application/partedproxy/*.cpp")
file(GLOB ALL_QRCS "../application/assets/appicons.qrc")
list(REMOVE_ITEM ALL_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../application/main.cpp)

find_package(PkgConfig REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    Widgets
    DBus
    REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    Qt5::WidgetsPrivate

    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
)

##需要生成的moc文件，输出文件名称放在变量 mocfiles中，必须在find QT5 package才能调用
#QT5_WRAP_CPP (UDLC_UI_HEADERS_MOC ${ALL_HEADERS})

add_executable(${PROJECT_NAME_TEST} ${SRC_LIST} ${ALL_HEADERS} ${ALL_SOURCES} ${ALL_QRCS})

target_include_directories(${PROJECT_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)
target_link_libraries(${PROJECT_NAME_TEST} gmock gmock_main gtest gtest_main pthread Qt5::Core basestruct parted parted-fs-resize Qt5::DBus Qt5::Widgets Qt5::WidgetsPrivate Qt5::Test ${LINK_LIBS})

# 添加 QTest 测试
add_test(${PROJECT_NAME_TEST} COMMAND ${PROJECT_NAME_TEST})


#------------------------------ 创建'make test'指令---------------------------------------
add_custom_target(test
#    COMMAND mkdir -p coverageResult_app
#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

    COMMAND echo " =================== TEST BEGIN ==================== "
    COMMAND mkdir -p coverageResult
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
)

#add_custom_command(TARGET test
#    COMMAND echo " =================== CREAT LCOV REPROT BEGIN ==================== "

#    #1.清理原先的gcov信息
#    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME_TEST}.dir --zerocounters
#    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
#     COMMAND echo " =================== CREAT 1111111 ==================== "
#    COMMAND ${PROJECT_BINARY_DIR}/apptest/${PROJECT_NAME_TEST}
#    COMMAND echo " =================== CREAT 2222222 ==================== "

#    #2.收集gcov信息到.info文件中
#    COMMAND lcov --directory . --capture --output-file ./coverageResult_app/${PROJECT_NAME}_Coverage.info
#    COMMAND echo " =================== CREAT 33333333333 ==================== "

#    #3.过滤一些我们不感兴趣的文件的覆盖率信息
#    COMMAND echo " =================== do filter begin ==================== "
#    COMMAND lcov --remove ./coverageResult_app/${PROJECT_NAME}_Coverage.info
#    '*/${PROJECT_NAME_TEST}_autogen/*' '*/${PROJECT_NAME}_autogen/*' '*/usr/include/*' '*/tests/*' '*/googletest/*' '${PROJECT_SOURCE_DIR}/application/widgets/customcontrol/*delegate.cpp'
#    '${PROJECT_SOURCE_DIR}/application/widgets/customcontrol/sizeinfowidget.cpp' '${PROJECT_SOURCE_DIR}/application/widgets/customcontrol/dmframewidget.cpp'
#    -o ./coverageResult_app/${PROJECT_NAME}_Coverage.info
#    COMMAND echo " =================== do filter end ==================== "

#    #3.将.info信息生成报告到reprot文件夹中
#    COMMAND genhtml -o ./coverageResult_app/report ./coverageResult_app/${PROJECT_NAME}_Coverage.info

#    COMMAND echo " =================== CREAT LCOV REPROT END ==================== "

#    COMMAND echo " Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult_app/report "

#    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
#    )

#'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

#include_directories(${PROJECT_SOURCE_DIR}/log)
include_directories(${PROJECT_SOURCE_DIR}/basestruct)
include_directories(${PROJECT_SOURCE_DIR}/application)
include_directories(${PROJECT_SOURCE_DIR}/application/widgets)
include_directories(${PROJECT_SOURCE_DIR}/application/widgets/customcontrol)
include_directories(${PROJECT_SOURCE_DIR}/application/partedproxy)
include_directories(${PROJECT_BINARY_DIR}/application)



#target_link_libraries(Qt5::Core)

=== debian/changelog ===
deepin-diskmanager (1.3.10-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 16 May 2022 10:19:24 +0800

deepin-diskmanager (1.3.10) stable; urgency=low

  * 磁盘管理器V1.3第十次发版
  * 126825 任意功能加载过程中按下ESC按键加载界面退出
  * 125617 逻辑卷存储数据后空间调整界面区间值错误，缩小后该分区为未知的文件系统
  * 125591 分区空间调整区间值显示错误

 -- yuandandan <yuandandan@uniontech.com>  Tue, 26 Apr 2022 15:43:16 +0800

deepin-diskmanager (1.3.9) stable; urgency=low

  * 磁盘管理器V1.3第九次发版
  * 126029 选中外设盘首次创建vg后左侧边栏检查与设计不符
  * 125617 逻辑卷存储数据后空间调整界面区间值错误，缩小后该分区为未知的文件系统
  * 125591 分区空间调整区间值显示错误

 -- yuandandan <yuandandan@uniontech.com>  Wed, 20 Apr 2022 10:43:16 +0800

deepin-diskmanager (1.3.8) stable; urgency=low

  * 磁盘管理器V1.3第八次发版
  * 115801 创建1024gib逻辑卷组完成后容量信息未转换为1TIB
  * 119303 vg空间调整时容量设置为不是4的整倍数进行空间调整时，创建完成后的vg信息无变化
  * 122565 调整系统字体,磁盘一级页面显示异常
  * 123605 卸载逻辑卷弹窗提示与实际情况不符

 -- yuandandan <yuandandan@uniontech.com>  Wed, 13 Apr 2022 11:43:16 +0800

deepin-diskmanager (1.3.7) stable; urgency=low

  * 磁盘管理器V1.3第七次发版
  * 122565 调整系统字体,磁盘一级页面显示异常
  * 122541 创建逻辑卷后插拔磁盘后删除lv/vg失败
  * 122289 逻辑卷类型为磁盘不支持的类型（如xfs)进行空间调整功能异常
  * 122231 逻辑卷/分区空间调整界面，容量输入框没有区间值
  * 121889 卸载分区弹窗提示与实际情况不符
  * 121871 新创建的vg进行空间调整扩容时弹窗提示需要迁移数据
  * 120159 整盘创建vg,vg剩余空间只有几mib时，查看pv硬盘信息炸状态条异常
  * 119303 vg空间调整时容量设置为不是4的整倍数进行空间调整时，创建完成后的vg信息无变化
  * 118951 新创建的vg进行空间调整缩小弹窗提示需要迁移数据
  * 116009 创建卷组时偶现创建失败

 -- yuandandan <yuandandan@uniontech.com>  Thu, 7 Apr 2022 12:43:16 +0800

deepin-diskmanager (1.3.6) stable; urgency=low

  * 磁盘管理器v1.3第六次发版
  * 118551 分区空间调整缩小容量时弹窗提示信息错误 	
  * 118627 VG中已有逻辑卷，删除添加到VG的磁盘弹窗提示信息异常 	
  * 109925 分区格式为非fat32的分区擦除后分区格式为fat32,往该分区中创建文件无权限 	
  * 118569 fat32格式类型无法进行分区空间调整 	
  * 118743 逻辑卷组空间调整时既有添加又有移除的操作空间调整失败 	
  * 118785 逻辑卷空间调整设置为超过可调整的最大/最小空间提示信息错误 	
  * 118791 逻辑卷格式类型为fat32时空间调整弹窗提示易用性差 	
  * 118807 新创建的逻辑卷进行无法直接进入到空间调整界面 	
  * 118951 新创建的vg进行空间调整缩小弹窗提示需要迁移数据 
  * 119081 当磁盘可用空间小于100MiB时创建卷组vg可以进入【下一步】 	
  * 119097 格式类型为Unknown擦除失败 	
  * 119303 vg空间调整时容量设置为不是4的整倍数进行空间调整时，创建完成后的vg信息无变化 	
  * 119129 逻辑卷空间调整时容量设置为不是4的整倍数进行空间缩小，确定按钮无响应 	

 -- liuwenhao <liuwenhao@uniontech.com>  Wed, 30 Mar 2022 13:09:34 +0800

deepin-diskmanager (1.3.5) stable; urgency=low

  * 磁盘管理器V1.3第五次发版
  * 添加、删除逻辑卷组VG中的物理卷
  * 删除pv
  * 磁盘分区容量缩小功能
  * 放大、缩小逻辑卷LV
  * lv挂载卸载
  * lv擦除
  * 已经添加到VG的分区，选中分区右键信息展示
  * 已经添加到VG的磁盘，选中磁盘右键信息展示
  * 逻辑卷组节点选中右侧信息展示
  * 逻辑卷节点选中右侧信息展示
  * 115945 任意选中硬盘进行硬盘健康检测软件闪退
  * 115491 创建逻辑卷组设置空间界面容量输入框汉字，特殊符号未做限制
  * 103763 软件加载过程中强制退出后重启软件登陆后闪退
  * 109227 有分区格式类型的分区高级、安全擦除提交内核失败
  * 110712 有多个空闲分区时，对其中一个空闲分区进行擦除操作，提示[提交内核失败]
  * 115653 扩展分区在创建逻辑卷组时依然显示，选中全部空间创建逻辑卷组失败
  * 115605 创建逻辑卷页面逻辑卷名称有删除标志

 -- yuandandan <yuandandan@uniontech.com>  Thu, 17 Mar 2022 10:43:16 +0800

deepin-diskmanager (1.3.4) stable; urgency=low

  * 磁盘管理器V1.3第四次发版
  * 100278 创建逻辑卷（LV）功能开发
  * 100321 创建逻辑卷组（VG）功能开发
  * 100274 删除逻辑卷组（VG）功能实现
  * 100273 删除逻辑卷（LV）功能开发
  * 100324 后端实现逻辑卷组（VG）创建功能

 -- yuandandan <yuandandan@uniontech.com>  Thu, 3 Mar 2022 14:30:16 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -- \
    -DCMAKE_BUILD_TYPE=Release \
    -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_test:
	# Disable auto tests at build time

## deepin-diskmanager 1.3.20

=== log/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+
+
 #include_directories(${PROJECT_SOURCE_DIR}/log)
 
 #add_library(dlmlog SHARED

=== service/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 cmake_minimum_required(VERSION 3.0)
 project(deepin-diskmanager-service)
 
@@ -38,8 +39,18 @@
     PolkitQt5-1::Agent
 )
 
-file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp"  "./diskoperation/lvmoperator/*.cpp")
-file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h" "./diskoperation/lvmoperator/*.h")
+file(GLOB ALL_SOURCES
+    "*.cpp"
+    "./diskoperation/*.cpp"
+    "./diskoperation/luksoperator/*.cpp"
+    "./diskoperation/filesystems/*.cpp"
+    "./diskoperation/lvmoperator/*.cpp")
+file(GLOB ALL_HEADERS
+    "*.h"
+    "./diskoperation/*.h"
+    "./diskoperation/luksoperator/*.h"
+    "./diskoperation/filesystems/*.h"
+    "./diskoperation/lvmoperator/*.h")
 
 include_directories(../basestruct)
 include_directories(../log)

=== debian/changelog ===
deepin-diskmanager (1.3.20-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 17 Nov 2022 13:28:37 +0800

deepin-diskmanager (1.3.14) stable; urgency=low

  * 磁盘管理器V1.3第十四次发版
  * 142285 系统盘全盘加密操作加入vg的pv，擦除与挂载功能可以操作
  * 141695 已有分区挂载/media/，新建lv/加密lv/擦除分区/擦除加密分区均未自动挂载，提示：挂载创建文件夹失败
  * 141919 vg下有加密卷时删除vg
  * 142229 外设磁盘分区挂载后插拔磁盘，分区信息显示未被挂载

 -- yuandandan <yuandandan@uniontech.com>  Thu, 23 Jun 2022 16:43:16 +0800

deepin-diskmanager (1.3.13) stable; urgency=low

  * 磁盘管理器V1.3第十三次发版
  * 149009 优化-新建分区挂载点优化
  * 128865 LVM-系统盘全盘加密-卸载VG和LV-swap分区-lv空间调整-vg空间调整
  * 128887 优化-翻译更正
  * 134539 一次性创建多个加密分区，创建第二个加密分区时分区大小/分区名称显示为灰色字体
  * 138089 解锁成功不进行挂载分区信息未实时刷新
  * 138175 无密码提示时加密分区解锁界面有密码提示框
  * 138685 1051-20200513镜像-ext*加密分区系列使用磁盘挂载功能文管中新建文件无权限
  * 138823 新建分区挂载/tmp,/usr挂载点系统异常
  * 139057 卸载的加密逻辑卷右侧信息显示不对
  * 139189 新建加密失败时未提示“新建加密失败”的提示


 -- yuandandan <yuandandan@uniontech.com>  Wed, 15 Jun 2022 17:43:16 +0800

deepin-diskmanager (1.3.12) stable; urgency=low

  * 磁盘管理器V1.3第十二次发版
  * 128891 磁盘加密-UI变更-图标的替换
  * 128893 磁盘加密-UI变更-代码逻辑的状态判断
  * 128839 磁盘解密-加密盘卸载-业务逻辑的添加
  * 128837 磁盘解密-加密盘挂载-业务逻辑的添加
  * 128813 磁盘解密-添加有密码提示解密界面-界面的添加
  * 128815 磁盘解密-添加解密界面-界面的添加
  * 128847 LVM-加密盘创建VG
  * 136413 创建容量不符合规则的分区/加密分区，【确定】按钮未置灰
  * 135095 新建分区/卷界面复原按钮没有恢复初始设置

 -- yuandandan <yuandandan@uniontech.com>  Thu, 2 Jun 2022 17:43:16 +0800

deepin-diskmanager (1.3.11) stable; urgency=low

  * 磁盘管理器V1.3第十一次发版
  * 128825 磁盘加密-新建加密-分区
  * 128827 磁盘加密-新建加密-LV
  * 128831 磁盘加密-擦除加密-磁盘\分区
  * 128833 磁盘加密-擦除加密-LV
  * 128217 fat32分区/fat32逻辑卷使用磁盘挂载功能后重启电脑该分区/逻辑卷创建文件夹无权限

 -- yuandandan <yuandandan@uniontech.com>  Wed, 25 May 2022 10:43:16 +0800

## deepin-diskmanager 1.3.37

=== application/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 if (NOT DEFINED VERSION)
     message(WARNING "Not defined version ,about dialog version set 1.1.0.1")
-    set(VERSION 1.3.10)
+    set(VERSION 1.3.14)
 endif ()

=== basestruct/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-only
+
 cmake_minimum_required(VERSION 3.0)
 project(basestruct)
 
@@ -14,18 +18,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-set(BASESTRUCT_SRCS
-    deviceinfo.h
-    deviceinfo.cpp
-    partitioninfo.h
-    partitioninfo.cpp
-    utils.h
-    utils.cpp
-    commondef.h
-    lvmstruct.h
-    lvmstruct.cpp
-    lvmenum.h
-    )
+file(GLOB BASESTRUCT_SOURCES "*.cpp")
+file(GLOB BASESTRUCT_HEADERS "*.h")
+
+set(BASESTRUCT_SRCS ${BASESTRUCT_SOURCES} ${BASESTRUCT_HEADERS} )
 
 add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
 target_include_directories(${PROJECT_NAME} PUBLIC

=== service/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 set(APP_RES_DIR "assets")
 set(APP_SERVICE "${APP_RES_DIR}/data/com.deepin.diskmanager.service")
+set(SYSTEMD_SERVICE "${APP_RES_DIR}/data/diskmanager-daemon.service")
 set(APP_CONFIG "${APP_RES_DIR}/data/com.deepin.diskmanager.conf")
 set(APP_EDEV_DIR "udev")
 set(APP_UDEV_FILES "${APP_EDEV_DIR}/99-diskmanager.rules")
@@ -72,6 +73,7 @@
 # Install files
 install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)
 install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/system-services/)
+install(FILES ${SYSTEMD_SERVICE} DESTINATION /lib/systemd/system/)
 install(FILES ${APP_CONFIG} DESTINATION share/dbus-1/system.d/)
 install(PROGRAMS ${APP_USBADD_FILES} DESTINATION libexec/openconnect/)
 install(PROGRAMS ${APP_USBREMOVE_FILES} DESTINATION libexec/openconnect/)

=== debian/changelog ===
deepin-diskmanager (1.3.37) unstable; urgency=medium

  * new tag v1.3.37
  * fix block checking issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 08 Aug 2024 01:21:52 +0800

deepin-diskmanager (1.3.36) unstable; urgency=medium

  * new tag v1.3.36

 -- re2zero <yangwu@uniontech.com>  Tue, 16 Apr 2024 16:11:48 +0800

deepin-diskmanager (1.3.35) unstable; urgency=medium

  * adapt to new computer models PGUX

 -- wangrong <wangrong@uniontech.com>  Wed, 03 Apr 2024 15:11:48 +0800

deepin-diskmanager (1.3.34) stable; urgency=medium

  * adapt to new computer models PGUX-L5651

 -- wangrong <wangrong@uniontech.com>  Tue, 26 Mar 2024 13:12:41 +0800

deepin-diskmanager (1.3.33) stable; urgency=medium

  * update rules to disable service

 -- wangrong <wangrong@uniontech.com>  Tue, 05 Mar 2024 15:40:38 +0800

deepin-diskmanager (1.3.32) stable; urgency=medium

  * fix front-end startup stuck

 -- wangrong <wangrong@uniontech.com>  Fri, 19 Jan 2024 09:53:33 +0800

deepin-diskmanager (1.3.31) stable; urgency=medium

  * fix: mount as root
  * fix: UI error

 -- re2zero <yangwu@uniontech.com>  Tue, 26 Dec 2023 16:36:26 +0800

deepin-diskmanager (1.3.30) stable; urgency=medium

  * fix: 修复“ZHITAI PC005”型号名未识别的相关问题

 -- re2zero <yangwu@uniontech.com>  Wed, 18 Oct 2023 09:56:33 +0800

deepin-diskmanager (1.3.29) stable; urgency=medium

  * Fix some mountpoints are umounted.
  * Fix system services mounts are masked
  * Fix some UI issues
  * Fix fail to format with crypt on v23

 -- re2zero <yangwu@uniontech.com>  Thu, 10 Aug 2023 10:30:24 +0800

deepin-diskmanager (1.3.28) stable; urgency=medium

  * 适配W585

 -- guonafu <guonafu@uniontech.com>  Thu, 23 Feb 2023 09:58:43 +0800

deepin-diskmanager (1.3.27) stable; urgency=medium

  * 修复本机磁盘分区挂载点为空

 -- guonafu <guonafu@uniontech.com>  Thu, 23 Feb 2023 09:58:43 +0800
 
 deepin-diskmanager (1.3.26) stable; urgency=medium

  * UFS适配

 -- guonafu <guonafu@uniontech.com>  Wed, 04 Jan 2023 09:58:43 +0800

## deepin-diskmanager 1.4.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 # 设置测试程序名字
 set(PROJECT_NAME_TEST
     ${PROJECT_NAME}_app_test)

=== debian/changelog ===
deepin-diskmanager (1.4.1) unstable; urgency=medium

  * new tag v1.4.1

 -- wangrong <wangrong@uniontech.com>  Fri, 08 Nov 2024 14:53:09 +0800

deepin-diskmanager (1.3.39) unstable; urgency=medium

  * adapt disk interface.

 -- wangrong <wangrong@uniontech.com>  Thu, 17 Oct 2024 19:47:11 +0800

deepin-diskmanager (1.3.38) unstable; urgency=medium

  * add polkit support.
  * fix command injection.

 -- wangrong <wangrong@uniontech.com>  Tue, 10 Sep 2024 09:17:08 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: deepin-diskmanager
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools
+Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, exfat-fuse
 Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
  Disk Utility is a disk management tool for disk.

## deepin-diskmanager 6.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 option(DOTEST "option for test" OFF)
 
 # 是否开启单元测试编译
-set(DOTEST ON)
+set(DOTEST OFF)
 
 option(DOAPP "option for test app" OFF)
 set(DOAPP ON)
@@ -22,6 +22,11 @@
   # -ffunction-sections
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,--gc-sections")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,--gc-sections")
+endif()
+
+set(QT_VERSION_MAJOR 6)
+if (${QT_VERSION_MAJOR} GREATER_EQUAL 6)
+    set(DTK_VERSION 6)
 endif()
 
 # 检查内存泄漏代码
@@ -50,7 +55,7 @@
 #        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
         # 设置测试模块
         set(QT Core Gui Widgets Network DBus Sql LinguistTools Svg Test)
-        find_package(Qt5 COMPONENTS ${QT} REQUIRED)
+        find_package(Qt${QT_VERSION_MAJOR} COMPONENTS ${QT} REQUIRED)
         # 添加子模块apptest
         add_subdirectory(tests)
     else()
@@ -58,7 +63,7 @@
 #    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
     # 设置测试模块
     set(QT Core Gui Widgets Network DBus Sql LinguistTools Svg Multimedia Test)
-    find_package(Qt5 COMPONENTS ${QT} REQUIRED)
+    find_package(Qt${QT_VERSION_MAJOR} COMPONENTS ${QT} REQUIRED)
     # 添加子模块test
     add_subdirectory(test)
     endif()

=== application/CMakeLists.txt ===
--- 
+++ 
@@ -15,25 +15,24 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkGui REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
 #find_package(DtkCMake REQUIRED)
-find_package(Qt5 COMPONENTS
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
     Core
     Widgets
     DBus
+    LinguistTools
     REQUIRED)
 
 set(LINK_LIBS
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Widgets
-    Qt5::WidgetsPrivate
-
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DtkGUI_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
 )
 
 #common resource names
@@ -59,14 +58,14 @@
 endforeach()
 #lupdate end
 
+file(GLOB ALL_SOURCES "*.cpp" "./partedproxy/*.cpp" "./widgets/*.cpp" "./widgets/customcontrol/*.cpp" "./widgets/accessible/*.cpp")
+file(GLOB ALL_HEADERS "*.h" "./partedproxy/*.h" "./widgets/*.h" "./widgets/customcontrol/*.h" "./widgets/accessible/*.h")
 file (GLOB DTNG_TS_FILES translations/*.ts)
-qt5_create_translation(DTNG_QM_FILES
+qt_create_translation(DTNG_QM_FILES
+    ${CMAKE_SOURCE_DIR}
     ${DTNG_TS_FILES}
-     ${DTNG_QM_FILES}
      )
 
-file(GLOB ALL_SOURCES "*.cpp" "./partedproxy/*.cpp" "./widgets/*.cpp" "./widgets/customcontrol/*.cpp" "./widgets/accessible/*.cpp")
-file(GLOB ALL_HEADERS "*.h" "./partedproxy/*.h" "./widgets/*.h" "./widgets/customcontrol/*.h" "./widgets/accessible/*.h")
 
 include_directories(../basestruct)
 #link_directories(${PROJECT_BINARY_DIR})

=== basestruct/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,9 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5 COMPONENTS
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
     Core
+    Widgets
     DBus
 REQUIRED)
 
@@ -25,13 +26,13 @@
 
 add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
 target_include_directories(${PROJECT_NAME} PUBLIC
-    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
     ${PROJECT_BINARY_DIR}
 )
 
 target_link_libraries(${PROJECT_NAME} PRIVATE
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5DBus_LIBRARIES}   
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::DBus
 )
 
 set(CMAKE_INSTALL_PREFIX /usr)

=== service/CMakeLists.txt ===
--- 
+++ 
@@ -23,21 +23,21 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(DtkGui REQUIRED)
-find_package(Qt5 COMPONENTS
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
     Core
     Widgets
     DBus
 REQUIRED)
-find_package(PolkitQt5-1)
+find_package(PolkitQt${QT_VERSION_MAJOR}-1)
 
 set(LINK_LIBS
-    Qt5::Core
-    Qt5::DBus
-    ${DtkCore_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Dtk${DTK_VERSION}::Core
     parted
     parted-fs-resize
-    PolkitQt5-1::Agent
+    PolkitQt${QT_VERSION_MAJOR}-1::Agent
 )
 
 file(GLOB ALL_SOURCES
@@ -60,7 +60,7 @@
 
 add_executable(${PROJECT_NAME} ${ALL_SOURCES} ${ALL_HEADERS})
 target_include_directories(${PROJECT_NAME} PUBLIC
-    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
     ${PROJECT_BINARY_DIR}
 )
 #link_libraries(../basestruct/basestruct)

=== debian/changelog ===
deepin-diskmanager (6.0.3) unstable; urgency=medium

  * new tag v6.0.3

 -- Wang Yu <wangyu@uniontch.com>  Fri, 28 Mar 2025 09:04:53 +0800

deepin-diskmanager (6.0.2) unstable; urgency=medium

  * new tag v6.0.2
  * fix get device info fail when init.

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Mar 2025 14:21:23 +0800

deepin-diskmanager (6.0.1) unstable; urgency=medium

  * new tag v6.0.1

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 13:18:36 +0800

deepin-diskmanager (1.4.2) unstable; urgency=medium

  * new tag v1.4.2

 -- re2zero <yangwu@uniontech.com>  Sat, 14 Dec 2024 05:07:29 +0800

=== debian/control ===
Source: deepin-diskmanager
Section: tools
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, pkg-config, qt6-tools-dev, qt6-base-dev, libx11-dev, libdtk6widget-dev,qt6-tools-dev-tools,qt6-base-private-dev, libparted-dev,libparted-fs-resize0, libpolkit-qt6-1-dev, libgtest-dev, libgmock-dev
Standards-Version: 4.1.3

Package: deepin-diskmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools, exfat-fuse
Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
 Disk Utility is a disk management tool for disk.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export QT_SELECT=qt5
+export QT_SELECT=5
 
 include /usr/share/dpkg/default.mk
 
@@ -15,4 +15,5 @@
 override_dh_auto_test:
 	# Disable auto tests at build time
 
-
+override_dh_installsystemd:
+	# Disable diskmanager-daemon.service auto-start

## deepin-diskmanager 6.0.8

=== basestruct/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 target_link_libraries(${PROJECT_NAME} PRIVATE
     Qt${QT_VERSION_MAJOR}::Widgets
     Qt${QT_VERSION_MAJOR}::DBus
+    Threads::Threads
 )
 
 set(CMAKE_INSTALL_PREFIX /usr)

=== service/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,9 @@
 set(APP_DEEPIN_DISKMANAGER_SERVICE_BIN "${APP_EDEV_DIR}/deepin-diskmanager-authenticateProxy")
 set(APP_POLICY_DIR "policy")
 set(APP_POLICY_FILES "${APP_POLICY_DIR}/com.deepin.diskmanager.policy")
-
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIE")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 # Find the library
 find_package(PkgConfig REQUIRED)
 find_package(Dtk${DTK_VERSION}Gui REQUIRED)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -41,24 +41,23 @@
 list(REMOVE_ITEM ALL_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../application/main.cpp)
 
 find_package(PkgConfig REQUIRED)
-find_package(DtkWidget REQUIRED)
-find_package(DtkGui REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5 COMPONENTS
+find_package(Dtk${DTK_VERSION}Widget REQUIRED)
+find_package(Dtk${DTK_VERSION}Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
     Core
     Widgets
     DBus
     REQUIRED)
 
 set(LINK_LIBS
-    Qt5::Core
-    Qt5::DBus
-    Qt5::Widgets
-    Qt5::WidgetsPrivate
+    Qt${QT_VERSION_MAJOR}::Core
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
 
-    ${DtkWidget_LIBRARIES}
-    ${DtkCore_LIBRARIES}
-    ${DtkGUI_LIBRARIES}
+    Dtk${DTK_VERSION}::Core
+    Dtk${DTK_VERSION}::Gui
+    Dtk${DTK_VERSION}::Widget
 )
 
 ##需要生成的moc文件，输出文件名称放在变量 mocfiles中，必须在find QT5 package才能调用
@@ -71,7 +70,20 @@
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
     ${PROJECT_BINARY_DIR}
 )
-target_link_libraries(${PROJECT_NAME_TEST} gmock gmock_main gtest gtest_main pthread Qt5::Core basestruct parted parted-fs-resize Qt5::DBus Qt5::Widgets Qt5::WidgetsPrivate Qt5::Test ${LINK_LIBS})
+target_link_libraries(${PROJECT_NAME_TEST}
+    gmock
+    gmock_main
+    gtest
+    gtest_main
+    pthread
+    Qt${QT_VERSION_MAJOR}::Core
+    basestruct
+    parted
+    parted-fs-resize
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
+    Qt${QT_VERSION_MAJOR}::Test ${LINK_LIBS})
 
 # 添加 QTest 测试
 add_test(${PROJECT_NAME_TEST} COMMAND ${PROJECT_NAME_TEST})

=== debian/changelog ===
deepin-diskmanager (6.0.8) unstable; urgency=medium

  * chore: New version 6.0.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 18:00:37 +0800

deepin-diskmanager (6.0.7) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 15:51:43 +0800

deepin-diskmanager (6.0.6) unstable; urgency=medium

  * chore: New version 6.0.6.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:10:27 +0800

deepin-diskmanager (6.0.5) unstable; urgency=medium

  * chore: Update CMake configuration for improved security and threading support (#146)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 11:15:16 +0800

deepin-diskmanager (6.0.4) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:22:55 +0800

## deepin-diskmanager 6.0.9

=== log/CMakeLists.txt ===
--- 
+++ 
@@ -31,8 +31,9 @@
 
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5 COMPONENTS
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS
     Core
+    Widgets
     DBus
 REQUIRED)
 
@@ -49,13 +50,13 @@
 
 add_library(${PROJECT_NAME} STATIC ${LOG_SRCS})
 target_include_directories(${PROJECT_NAME} PUBLIC
-    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+    Qt${QT_VERSION_MAJOR}::Gui_private
     ${PROJECT_BINARY_DIR}
 )
 
 target_link_libraries(${PROJECT_NAME} PRIVATE
-    ${Qt5Widgets_LIBRARIES}
-    ${Qt5DBus_LIBRARIES}
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::DBus
 )
 
 set(CMAKE_INSTALL_PREFIX /usr)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 # 设置测试程序名字
 set(PROJECT_NAME_TEST
     ${PROJECT_NAME}_test)

=== debian/changelog ===
deepin-diskmanager (6.0.9) unstable; urgency=medium

  * chore: Update deepin-manual resources (#157)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 18:58:52 +0800
